View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000535aMuleTransferpublic2005-08-13 23:472005-10-25 13:20
ReporterXaignar 
Assigned ToXaignar 
PriorityimmediateSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.3 
Target VersionFixed in VersionSVN 
Summary0000535: Bad servers cause source-starvation for newly added files.
DescriptionWas "Newly added files will sometimes not get sources."

Refer to this thread:
http://forum.amule.org/thread.php?threadid=6853&sid= [^]
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001217)
Kry (manager)
2005-08-13 23:47

Lies!
(0001218)
Xaignar (manager)
2005-08-13 23:48

Silence blasphemer!
(0001262)
hphde (reporter)
2005-09-01 13:23

I had this problem too. But as it turned out the problem wasn't aMule but the tons of fake emule servers out there (Sonny Boy & Co)!

So if you are connected to a server with 1,5 mio. people it might only have a few thousands or even a handful ... who knows.

I got myself a recent ipfilter.dat and cleaned up the server list. And see ... it get's what it should get all the time now.
(0001310)
Xaignar (manager)
2005-10-11 22:45

It seems to be clear now that this problem is caused by bad (fake) servers. We will most likely have to find a way to distingish between fake and real servers.
(0001332)
Jacobo221 (updater)
2005-10-23 09:12

"We will most likely have to find a way to distingish between fake and real servers."

isn't an ipfilter enough for that?
(0001359)
Xaignar (manager)
2005-10-25 13:20

It seems that this was indeed caused by a problem within aMule, which led to no UDP searches being done. If the user was also connected to a bad server, it would result in no sources for new files. If the problem still persists after the fix has been applied, then we need to start looking at filtering servers.

- Issue History
Date Modified Username Field Change
2005-08-13 23:47 Xaignar New Issue
2005-08-13 23:47 Xaignar Status new => acknowledged
2005-08-13 23:47 Kry Note Added: 0001217
2005-08-13 23:48 Xaignar Note Added: 0001218
2005-08-14 01:39 Kry Priority high => urgent
2005-08-14 12:49 Xaignar Priority urgent => immediate
2005-09-01 13:23 hphde Note Added: 0001262
2005-10-11 22:45 Xaignar Note Added: 0001310
2005-10-11 22:45 Xaignar Summary Newly added files will sometimes not get sources. => Bad servers cause source-starvation for newly added files.
2005-10-11 22:45 Xaignar Description Updated
2005-10-23 09:12 Jacobo221 Note Added: 0001332
2005-10-25 13:20 Xaignar Status acknowledged => resolved
2005-10-25 13:20 Xaignar Fixed in Version => CVS
2005-10-25 13:20 Xaignar Resolution open => fixed
2005-10-25 13:20 Xaignar Assigned To => Xaignar
2005-10-25 13:20 Xaignar Note Added: 0001359


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker